Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001235Anope Development (1.9.x series)Chanservpublic2011-01-25 10:102011-02-23 03:44
ReporterJustasic 
Assigned ToAdam 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinux x86OSDebianOS Version5.0.7 lenny
Product Version 
Target VersionFixed in Version 
Summary0001235: Crash on extended modes mlock
Descriptionwell as the gdb report says in the last privmsg it receives that mode locking on a exempt isn't flying with anope..

this bug i think also extends to chan mode +w o:*@* which should be a mode that ops everyone in the channel. when services restarts it sets mode +X instead of +w.
Steps To Reproduce/msg ChanServ mode #channel lock add +e *!*@*



Additional InformationInspIRCd 2.0.2

VERSION Anope-1.9.4-g7acbbbb-tastes-good-on-toast (114) services.Flux-Net.net :InspIRCd 2.0 - (enc_none) -- build 0000002, compiled 04:44:37 Jan 16 2011

gdb: http://pastebin.com/0idf957X [^]

Logs: http://pastebin.com/gr67xBFx [^]

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005756)
Adam (administrator)
2011-02-23 03:44

Fixed in b15410fd3acb47fb305383c74ad0f03add6e38e0 and eea7d2eb7715f875096641bae18250122078bd00
(0005738)
Justasic (reporter)
2011-01-30 03:57

it looks like the extended mode locks work without crashing, and the amsg ill get back to you on that to see if it saves the settings correctly. but there is still the issue of when i set mode (inspircd 2.0) +w a:*@* (supposed to give everyone admin chan op) and i restart anope it sets the channel with +X a:*@* which is wrong.
(0005736)
LEthaLity (manager)
2011-01-29 15:14

Can you confirm if this amsg save/update problem happens in the latest git? I cant reproduce it in recent commits.

and with the lock add +e *!*@* causing a crash, is there already other excepts added or anything, as I am unable to make that crash. debug logs showing what's happening to make it crash would help.
(0005734)
Justasic (reporter)
2011-01-26 07:37

added note, services does not save stuff like amsg settings.. as i have removed the amsg kick from some channels and maybe a hour later it resets it

- Issue History
Date Modified Username Field Change
2011-01-25 10:10 Justasic New Issue
2011-01-26 07:37 Justasic Note Added: 0005734
2011-01-29 15:14 LEthaLity Note Added: 0005736
2011-01-30 03:57 Justasic Note Added: 0005738
2011-02-23 03:44 Adam Note Added: 0005756
2011-02-23 03:44 Adam Status new => resolved
2011-02-23 03:44 Adam Resolution open => fixed
2011-02-23 03:44 Adam Assigned To => Adam


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker